Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » SWTBot » Drop SWTBot support for eclipse 3.4 ?
Drop SWTBot support for eclipse 3.4 ? [message #534710] Thu, 20 May 2010 01:36
Ketan Padegaonkar is currently offline Ketan Padegaonkar
Messages: 873
Registered: July 2009
Senior Member
Hi,

I was looking at the download stats for SWTBot across different versions
of eclipse. These numbers don't take into consideration the number of
downloads from the mirror sites, but the distributions of the downloads
is interesting.

SWTBot for eclipse 3.4: 158 (14%)
SWTBot for eclipse 3.5: 798 (70%)
SWTBot for eclipse 3.6: 187 (16%)

Eclipse 3.4 is now almost 2 years old and the last bug fix release was
in Feb 2009.

Given this situation, it is very difficult to continue to provide a
light weight testing tool that works across 3 different versions of
eclipse on 4 different platforms linux, windows and macosx(carbon/cocoa).

In light of this, I'm considering dropping support for eclipse 3.4 for
future releases. I'm happy to assist anyone wanting to contribute
efforts towards maintaining a release of SWTBot for eclipse 3.4.

Older releases of SWTBot(since rev204 in March 2009) will continue to be
available on the archive site[1] for a long time to come.

Thoughts, brickbats ?

--
Ketan
http://ketan.padegaonkar.name | http://eclipse.org/swtbot

[1] - http://download.eclipse.org/technology/swtbot/archives/
Previous Topic:New release 2.0.0.568 of SWTBot available!
Next Topic:Problems with Tree behaviour and some dialogs
Goto Forum:
  


Current Time: Fri Jul 25 07:24:08 EDT 2014

Powered by FUDForum. Page generated in 0.07348 seconds